Update Deposit Transaction Cost Basis
curl --request PATCH \
--url https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions/{transactionId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"lots": [
{
"acquisitionDatetime": "2023-11-07T05:31:56Z",
"costBasis": "2500",
"quantity": "1.0"
}
]
}
'import requests
url = "https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions/{transactionId}"
payload = { "lots": [
{
"acquisitionDatetime": "2023-11-07T05:31:56Z",
"costBasis": "2500",
"quantity": "1.0"
}
] }
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lots: [
{
acquisitionDatetime: '2023-11-07T05:31:56Z',
costBasis: '2500',
quantity: '1.0'
}
]
})
};
fetch('https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"transactionId": "9cd9f4d4-078b-4e44-a308-7662fec0f546"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Update deposit transaction cost basis
Update the cost basis of a deposit transaction.
PATCH
/
tax
/
accounts
/
{accountId}
/
transactions
/
{transactionId}
Update Deposit Transaction Cost Basis
curl --request PATCH \
--url https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions/{transactionId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"lots": [
{
"acquisitionDatetime": "2023-11-07T05:31:56Z",
"costBasis": "2500",
"quantity": "1.0"
}
]
}
'import requests
url = "https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions/{transactionId}"
payload = { "lots": [
{
"acquisitionDatetime": "2023-11-07T05:31:56Z",
"costBasis": "2500",
"quantity": "1.0"
}
] }
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lots: [
{
acquisitionDatetime: '2023-11-07T05:31:56Z',
costBasis: '2500',
quantity: '1.0'
}
]
})
};
fetch('https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"transactionId": "9cd9f4d4-078b-4e44-a308-7662fec0f546"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The ID of the tax account
The ID of the transaction to update
Body
application/json
Request to update cost basis for a transaction
An array of tax lots that are part of this transaction. Each lot specifies the quantity, cost basis and the acquisition date.
Minimum array length:
1Show child attributes
Show child attributes
Response
Successfully updated the transaction cost basis
Response after updating transaction cost basis
Response data containing transaction ID
Show child attributes
Show child attributes
Was this page helpful?